Get an AA sequence
Get an AA sequence
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
aa_sequence_id
Query parameters
returning
Comma-separated list of fields to return. Modifies the output shape. To return all keys at a given level, enumerate them or use the wildcard, ’*’. For more information, click here.
Note: Fields annotations, translations, and primers cannot be introspected with the returning parameter, and any sub fields will be ignored. E.g.: “annotations.id” will return the same as “annotations”.
Response
OK
aliases
Array of aliases
aminoAcids
Amino acids of the AA sequence.
annotations
Array of annotation objects on the AA sequence.
apiURL
The canonical url of the AA Sequence in the API.
archiveRecord
createdAt
DateTime the AA sequence was created.
creator
customFields
Custom fields set on the AA sequence.
entityRegistryId
Registry ID of the AA sequence if registered.
fields
folderId
ID of the folder that contains the AA sequence.
id
ID of the AA sequence.
length
Number of amino acids in the AA sequence.
modifiedAt
DateTime the AA sequence was last modified.
name
Name of the AA sequence.
registrationOrigin
registryId
Registry the AA sequence is registered in.
schema
url
The path of the web URL, omitting the tenant domain
webURL
URL of the AA sequence.
Errors
400
Bad Request Error